GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
server_chttp2.c File Reference
`#include <grpc/grpc.h>`
`#include "src/core/channel/http_server_filter.h"`
`#include "src/core/iomgr/resolve_address.h"`
`#include "src/core/iomgr/tcp_server.h"`
`#include "src/core/surface/server.h"`
`#include "src/core/transport/chttp2_transport.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/useful.h>`

## Functions
int | grpc_server_add_http2_port (grpc_server *server, const char *addr)
| Add a HTTP2 over plaintext over tcp listener. More...

## Function Documentation

int grpc_server_add_http2_port | ( | grpc_server * | server,
|  | const char * | addr
| ) |  |

Add a HTTP2 over plaintext over tcp listener.

Returns bound port number on success, 0 on failure. REQUIRES: server not started